## rtmidi 1.0.15~ds0

=== debian/changelog ===
rtmidi (1.0.15~ds0-2) unstable; urgency=low

  * Build on linux only.
  * Fix wrong linking order.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Feb 2012 19:24:57 +0100

rtmidi (1.0.15~ds0-1) unstable; urgency=low

  * Initial release. (Closes: #656191)

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Jan 2012 09:26:55 +0100
