=== debian/control ===
Source: rtmidi
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 dh-autoreconf,
 libjack-dev
Standards-Version: 3.9.2
Homepage: http://www.music.mcgill.ca/~gary/rtmidi/
Vcs-Git: git://git.debian.org/pkg-multimedia/rtmidi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmidi.git

Package: librtmidi1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: C++ library for realtime MIDI input/ouput
 RtMidi is a set of C++ classes that provides a common API (Application
 Programming Interface) for realtime MIDI input/output across Linux
 (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
 (DirectSound and ASIO) operating systems. RtMidi significantly
 simplifies the process of interacting with computer audio hardware. It
 was designed with the following objectives:
 .
  * object-oriented C++ design
  * simple, common API across all supported platforms
  * only one source and two header files for easy inclusion in
    programming projects
  * MIDI device enumeration
 .
 MIDI input and output functionality are separated into two classes,
 RtMidiIn and RtMidiOut. Each class instance supports only a single MIDI
 connection. RtMidi does not provide timing functionality (i.e., output
 messages are sent immediately). Input messages are timestamped with delta
 times in seconds (via a double floating point type). MIDI data is passed
 to the user as raw bytes using an std::vector<unsigned char>.
 .
 This package provides the shared library.

Package: librtmidi-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 libjack-dev,
 librtaudio-dev,
 librtmidi1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: C++ library for realtime MIDI input/ouput (development files)
 RtMidi is a set of C++ classes that provides a common API (Application
 Programming Interface) for realtime MIDI input/output across Linux
 (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
 (DirectSound and ASIO) operating systems. RtMidi significantly
 simplifies the process of interacting with computer audio hardware.
 .
 This package provides the development files.

Package: librtmidi-dbg
Section: debug
Priority: extra
Architecture: linux-any
Multi-Arch: same
Depends:
 librtmidi1 (= ${binary:Version}),
 ${misc:Depends}
Description: C++ library for realtime MIDI input/ouput (debugging symbols)
 RtMidi is a set of C++ classes that provides a common API (Application
 Programming Interface) for realtime MIDI input/output across Linux
 (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
 (DirectSound and ASIO) operating systems. RtMidi significantly
 simplifies the process of interacting with computer audio hardware.
 .
 This package provides the debugging symbols.
