## rtmidi 2.0.1~ds0

=== debian/changelog ===
rtmidi (2.0.1~ds0-3ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Dec 2013 17:54:37 -0500

rtmidi (2.0.1~ds0-3) unstable; urgency=low

  * Upload to unstable.

  [ Devin Anderson ]
  * debian/control, debian/rules: build rtmidi with ALSA bindings

  [ Alessio Treglia ]
  * Fix VCS url.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:35:00 +0200

rtmidi (2.0.1~ds0-2) experimental; urgency=low

  * Add support for powerpc64 builds.
    Thanks to Hiroyuki Yamamoto for the patch. (Closes: #693592)

 -- Alessio Treglia <alessio@debian.org>  Sun, 18 Nov 2012 11:08:16 +0000

rtmidi (2.0.1~ds0-1) experimental; urgency=low

  * New upstream release.
  * Refresh 0001-buildsystem.patch

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Aug 2012 13:41:05 +0200

rtmidi (2.0.0~ds0-1) experimental; urgency=low

  * Imported Upstream version 2.0.0~ds0
  * Refresh buildsystem.
  * Pass -Xtests/midiprobe.cpp~ to dh_clean to avoid unexpected clean-up
    of upstream sources.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 15:20:42 +0200
