=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: rtmidi
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 8.1.3~),
  dh-autoreconf,
- libjack-dev
-Standards-Version: 3.9.2
+ libjack-dev,
+ libasound2-dev,
+ autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://www.music.mcgill.ca/~gary/rtmidi/
-Vcs-Git: git://git.debian.org/pkg-multimedia/rtmidi.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmidi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmidi.git
 
 Package: librtmidi1
@@ -48,6 +51,7 @@
 Multi-Arch: same
 Depends:
  libjack-dev,
+ libasound2-dev,
  librtaudio-dev,
  librtmidi1 (= ${binary:Version}),
  ${misc:Depends},
