## rtmidi 2.1.0~ds0

=== debian/changelog ===
rtmidi (2.1.0~ds0-4) unstable; urgency=medium

  * Team upload.
  * Rename librtmidi2 for GCC 5 transition.
  * debian/control: Bump Standards-Version.
  * debian/patches/0001-buildsystem.patch: Honor LDFLAGS.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 01:22:07 +0200

rtmidi (2.1.0~ds0-3) unstable; urgency=low

  * Build with autotools-dev. (Closes: #751099)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Jun 2014 13:55:50 +0200

rtmidi (2.1.0~ds0-2) unstable; urgency=low

  * Upload to unstable. (Closes: #747775) (Closes: #750332) (Closes: #727498)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 09 Jun 2014 22:36:36 +0200

rtmidi (2.1.0~ds0-1) experimental; urgency=medium

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Bump SONAME.
  * Various improvements to the repackaging mechanism.
  * Bump Standards.
  * Refresh debian/copyright.
  * Refresh 0001-buildsystem.patch.
  * Fix build tests.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 23:21:12 +0100
