=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: rtmidi
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 9~),
  dh-autoreconf,
- libjack-dev,
+ autotools-dev,
  libasound2-dev,
- autotools-dev
-Standards-Version: 3.9.4
+ libjack-dev
+Standards-Version: 3.9.6
 Homepage: http://www.music.mcgill.ca/~gary/rtmidi/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmidi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmidi.git
 
-Package: librtmidi1
+Package: librtmidi2v5
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -50,10 +52,10 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends:
+ libasound2-dev,
  libjack-dev,
- libasound2-dev,
  librtaudio-dev,
- librtmidi1 (= ${binary:Version}),
+ librtmidi2v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: C++ library for realtime MIDI input/ouput (development files)
@@ -71,7 +73,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends:
- librtmidi1 (= ${binary:Version}),
+ librtmidi2v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: C++ library for realtime MIDI input/ouput (debugging symbols)
  RtMidi is a set of C++ classes that provides a common API (Application
