=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export CFLAGS
 
 %:
-	dh $@ --parallel --with autoreconf,autotools_dev
+	dh $@ --parallel --with autoreconf,autotools-dev
 
 override_dh_clean:
 	dh_clean -Xtests/midiprobe.cpp~
@@ -21,9 +21,15 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf doc/html doc/images
+	rm -rf tests/Debug/ tests/Release/
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
+override_dh_auto_test:
+	mkdir -p tests/Release
+	mkdir -p tests/Debug
+	dh_auto_test
 
 override_dh_auto_install:
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
