## rtmidi 2.1.1~ds0

=== debian/changelog ===
rtmidi (2.1.1~ds0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 24 Jul 2016 14:35:30 +0200

rtmidi (2.1.1~ds0-3) experimental; urgency=medium

  * Fix pkg-config-bad-directive properly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 27 Jun 2016 18:17:22 +0200

rtmidi (2.1.1~ds0-2) experimental; urgency=medium

  * Install headers as upstream intended.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 27 Jun 2016 18:17:22 +0200

rtmidi (2.1.1~ds0-1) experimental; urgency=medium

  * Switch to get-orig-source.
  * Imported Upstream version 2.1.1~ds0
  * Bump Standards.
  * Fix VCS fields.
  * Patches refreshed/removed.
  * Add patch to not install doc images.
  * Install files by install file rather than rules file.
  * Fix some hardening.
  * Fix pkg-config-bad-directive.
  * Install upstream changelog.
  * Bump soname.
  * Install both headers.
  * Drop useless patches.
  * Add patch to pass cxxflags.
  * Remove ${shlibs:Depends} from dev package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 22:32:30 +0200
