=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  autotools-dev,
  libasound2-dev,
  libjack-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.music.mcgill.ca/~gary/rtmidi/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtmidi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtmidi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rtmidi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/rtmidi.git
 
-Package: librtmidi2v5
+Package: librtmidi3
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends:
@@ -55,9 +55,8 @@
  libasound2-dev,
  libjack-dev,
  librtaudio-dev,
- librtmidi2v5 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+ librtmidi3 (= ${binary:Version}),
+ ${misc:Depends}
 Description: C++ library for realtime MIDI input/ouput (development files)
  RtMidi is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime MIDI input/output across Linux
@@ -66,20 +65,3 @@
  simplifies the process of interacting with computer audio hardware.
  .
  This package provides the development files.
-
-Package: librtmidi-dbg
-Section: debug
-Priority: extra
-Architecture: linux-any
-Multi-Arch: same
-Depends:
- librtmidi2v5 (= ${binary:Version}),
- ${misc:Depends}
-Description: C++ library for realtime MIDI input/ouput (debugging symbols)
- RtMidi is a set of C++ classes that provides a common API (Application
- Programming Interface) for realtime MIDI input/output across Linux
- (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
- (DirectSound and ASIO) operating systems. RtMidi significantly
- simplifies the process of interacting with computer audio hardware.
- .
- This package provides the debugging symbols.
