## rtmidi 3.0.0~ds1

=== debian/changelog ===
rtmidi (3.0.0~ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 Oct 2017 16:34:29 +0200

rtmidi (3.0.0~ds1-1~exp3) experimental; urgency=medium

  * Set hardening all.
  * Patch to enable kFreeBSD/Hurd builds.
  * Patches refreshed.
  * Drop linux-any from arch-specifier.
  * Patches renumbered.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Oct 2017 01:10:22 +0200

rtmidi (3.0.0~ds1-1~exp2) experimental; urgency=medium

  * Add libjs-jquery as dep of doc package.
  * Use .links file rather than creating them manually.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Oct 2017 21:37:02 +0200

rtmidi (3.0.0~ds1-1~exp1) experimental; urgency=medium

  * New upstream version 3.0.0~ds1

  [ Jaromír Mikeš ]
  * Repack by copyright file now.
    * Exclude .gitignore file on repack.
  * Add description to patch.
  * Add doc-base file.

  [ IOhannes m zmölnig ]
  * Refreshed and updated patches
    * Fixed configure.ac patch
    * Unbreak configure.ac if 'prefix' is defined
  * Soname bump: librtmidi3 -> librtmidi4
  * Added librtmidi-doc
    * Suggested by the -dev package
  * Removed .gitignore
  * Dropped unused rule in d/rules
  * Install README.md
  * Added myself to uploaders
  * Bumped standards to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 08 Oct 2017 23:21:26 +0200

rtmidi (2.1.1~ds0-5) unstable; urgency=medium

  * Tune .gitignore file.
  * Set compat/dh 10.
  * Sign tags.
  * Update copyright file.
  * Bump Standards.
  * Fix FTCBS (Closes: #877386).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 Oct 2017 09:23:43 +0200
