=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CONFIGURE_FLAGS = --with-alsa --with-jack

CFLAGS += -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
endif

export CFLAGS

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html doc/images
	rm -rf tests/Debug/ tests/Release/

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	rm -f doc/html/jquery.js
	dh_auto_install

override_dh_auto_test:
	mkdir -p tests/Release
	mkdir -p tests/Debug
	dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs doc/release.txt
