## rtmidi 4.0.0

=== debian/changelog ===
rtmidi (4.0.0-1) unstable; urgency=medium

  * Upload to unstable.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Install lib*.a files in -dev package
  * Remove unused variables from d/rules
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Oct 2020 22:34:00 +0100

rtmidi (4.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 4.0.0

  [ Jaromír Mikeš ]
  * Patch forwarded.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
    * Drop patches applied upstream
  * Rename binary package to "librtmidi5" to reflect soname bump
  * Only depend on libasound2-dev on linux-any
  * Update d/copyright
    * Add 'licensecheck' target
    * Generate initial d/copyright_hints
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Update d/watch
  * Bump dh-compat to 12
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Apr 2020 23:49:53 +0200
