=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: rtmidi
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
- autotools-dev,
- libasound2-dev,
- libjack-dev
-Standards-Version: 3.9.8
-Homepage: http://www.music.mcgill.ca/~gary/rtmidi/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rtmidi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/rtmidi.git
+ debhelper-compat (= 13),
+ libasound2-dev [linux-any],
+ libjack-dev,
+Build-Depends-Indep:
+ doxygen,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.music.mcgill.ca/~gary/rtmidi/
+Vcs-Git: https://salsa.debian.org/multimedia-team/rtmidi.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rtmidi
 
-Package: librtmidi3
-Architecture: linux-any
+Package: librtmidi5
+Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: C++ library for realtime MIDI input/ouput
  RtMidi is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime MIDI input/output across Linux
@@ -49,14 +51,15 @@
 
 Package: librtmidi-dev
 Section: libdevel
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends:
- libasound2-dev,
+ libasound2-dev [linux-any],
  libjack-dev,
  librtaudio-dev,
- librtmidi3 (= ${binary:Version}),
- ${misc:Depends}
+ librtmidi5 (= ${binary:Version}),
+ ${misc:Depends},
+Suggests: librtmidi-doc
 Description: C++ library for realtime MIDI input/ouput (development files)
  RtMidi is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime MIDI input/output across Linux
@@ -65,3 +68,19 @@
  simplifies the process of interacting with computer audio hardware.
  .
  This package provides the development files.
+
+Package: librtmidi-doc
+Architecture: all
+Section: doc
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ libjs-jquery,
+Description: C++ library for realtime MIDI input/ouput (documentation files)
+ RtMidi is a set of C++ classes that provides a common API (Application
+ Programming Interface) for realtime MIDI input/output across Linux
+ (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
+ (DirectSound and ASIO) operating systems. RtMidi significantly
+ simplifies the process of interacting with computer audio hardware.
+ .
+ This package provides the API documentation.
