=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 CONFIGURE_FLAGS = --with-alsa --with-jack
 
 CFLAGS += -g
@@ -36,3 +34,9 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/release.txt
+
+licensecheck:
+	licensecheck --deb-machine -r * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints
