=== debian/changelog ===
rtmidi (5.0.0-3build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:22:54 +0000

rtmidi (5.0.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:09:17 +0000

rtmidi (5.0.0-3build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:02:23 +0000

rtmidi (5.0.0-3) unstable; urgency=medium

  [ Dennis Braun ]
  * Add libjack-jackd2-dev to B-D and librtmidi-dev Depends
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 18:45:41 +0200

rtmidi (5.0.0-2) unstable; urgency=medium

  * Skip ALSA-support on non-linux

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Nov 2021 17:16:56 +0100

rtmidi (5.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Note that RtMidi-5 requires C++11

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Nov 2021 13:46:29 +0100

rtmidi (5.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 5.0.0
    * Refresh patches
  * Rename binary package to "librtmidi6" to reflect soname bump
  * Drop old-style CFLAGS override
  * Use execute_{before,after}_dh_... instead of override_dh_...
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Nov 2021 17:09:50 +0100
