=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rtmidi
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -9,20 +10,20 @@
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.music.mcgill.ca/~gary/rtmidi/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rtmidi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rtmidi
 
-Package: librtmidi5
+Package: librtmidi6
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
- ${misc:Pre-Depends}
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -55,11 +56,12 @@
 Multi-Arch: same
 Depends:
  libasound2-dev [linux-any],
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  librtaudio-dev,
- librtmidi5 (= ${binary:Version}),
+ librtmidi6 (= ${binary:Version}),
  ${misc:Depends},
-Suggests: librtmidi-doc
+Suggests:
+ librtmidi-doc,
 Description: C++ library for realtime MIDI input/ouput (development files)
  RtMidi is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime MIDI input/output across Linux
@@ -74,8 +76,8 @@
 Section: doc
 Multi-Arch: foreign
 Depends:
+ libjs-jquery,
  ${misc:Depends},
- libjs-jquery,
 Description: C++ library for realtime MIDI input/ouput (documentation files)
  RtMidi is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime MIDI input/output across Linux
