=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_FLAGS = --with-jack

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-alsa
endif


%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf doc/html doc/images
	rm -rf tests/Debug/ tests/Release/

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

execute_before_dh_auto_install:
	rm -f doc/html/jquery.js

execute_before_dh_auto_test:
	mkdir -p tests/Release
	mkdir -p tests/Debug

override_dh_installchangelogs:
	dh_installchangelogs doc/release.txt

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
