=== debian/changelog ===
rtmidi (6.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Jun 2024 15:02:39 +0200

rtmidi (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 6.0.0
    + Refresh patches
  * Rename binary package to "librtmidi7" to reflect soname bump
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
    + Modernize 'licensecheck' target
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Aug 2023 21:35:44 +0200
