=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rtmidi
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -13,13 +12,13 @@
  libjack-dev | libjack-jackd2-dev,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.music.mcgill.ca/~gary/rtmidi/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rtmidi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rtmidi
 
-Package: librtmidi6
+Package: librtmidi7
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -58,7 +57,7 @@
  libasound2-dev [linux-any],
  libjack-dev | libjack-jackd2-dev,
  librtaudio-dev,
- librtmidi6 (= ${binary:Version}),
+ librtmidi7 (= ${binary:Version}),
  ${misc:Depends},
 Suggests:
  librtmidi-doc,
