=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,14 @@
 override_dh_installchangelogs:
 	dh_installchangelogs doc/release.txt
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|android/images/midi.png
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --deb-machine -r * \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
